<!DOCTYPE HTML>
<html>

<head>
    <title>Wi-Fi Vehicle Lock</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style>
        *,
        ::after,
        ::before {
            box-sizing: border-box;
        }

        h2 {
            text-align: center;
            margin-top: 5px;
            margin-bottom: 0px;
        }

        .form-info {
            background-color: #007bff;
            color: #fff;
            width: 100%;
            max-width: 400px;
            padding: 15px;
            margin: auto;
            border: 2px solid #007bff;
        }

        .form-config {
            text-align: center;
            width: 100%;
            max-width: 400px;
            padding: 5px;
            margin: auto;
            border: 2px solid #ced4da;
        }

        .form-fill {
            display: block;
            width: 100%;
            height: calc(1.5em + .75rem + 2px);
            border: 1px solid #ced4da;
        }

        button {
            cursor: pointer;
            border: 1px solid transparent;
            color: #fff;
            background-color: #007bff;
            border-color: #007bff;
            padding: .5rem 1rem;
            font-size: 1.25rem;
            line-height: 1.5;
            border-radius: .3rem;
            width: 50%;
        }

        form.lang-widget {
            position: relative;
            width: 100%;
            max-width: 400px;
            padding: 0;
            margin: 0;
        }

        div.lang-widget {
            position: absolute;
            left: 1%;
            font-size: .75rem;
            color: red;
        }
    </style>
    <script language="javascript">

        var s = "{C}";
        var e = s;

        var timeout = null;

        function start() {

            if (s === -1) {
                clearTimeout(timeout);
                alert('Disconnected');
                return false;
            }

            document.getElementById('s').innerText = s.toString();
            document.getElementById('e').innerText = e.toString();

            timeout = setTimeout(function () {
                s--;
                e--;
                start();
            }, 1000);

        }
        window.onload = start;
    </script>
</head>
{E}

<body>


    <main class="form-config">
        <form class="lang-widget">
            <div class="lang-widget">Disconnect after <span id="s"></span> seconds</div>
        </form>
        <br>
        <h2>Set-up Wi-Fi sensor</h2>
        <form method="POST" action="/changeWf">
            {A}
            <div hidden><span id="e"></span></div>
            <div>
                <label for="pin">Enter your PIN to confirm</label><br />
                <input type="text" class="form-fill" name="pin" placeholder="Input your PIN number" minlength="4"
                    maxlength="4">
            </div>
            <div>
                <label for="ssid">Name of Personal hotspot</label><br />
                <input type="text" class="form-fill" name="ssid" placeholder="Input name of new Personal hotspot">
            </div>
            <div>
                <label for="password">Password of Personal hotspot</label><br />
                <input type="text" class="form-fill" name="password" placeholder="Input password of new Personal hotspot">
            </div>
            <input type="hidden" class="form-fill" name="check">
            </br>
            <button type="submit">SET</button>
        </form>
        <br>
        <form method="GET" action="/">
            <button type="submit">BACK</button>
        </form>
    </main>

</body>

</html>
{V}

<body>


    <main class="form-config">
        <form class="lang-widget">
            <div class="lang-widget">Ngắt kết nối sau <span id="s"></span> giây</div>
        </form>
        <br>
        <h2>Thiết lập cảm biến Wi-Fi</h2>
        <form method="POST" action="/changeWf">
            {L}
            <div hidden><span id="e"></span></div>
            <div>
                <label for="pin">Nhập mã PIN để xác nhận</label><br />
                <input type="text" class="form-fill" name="pin" placeholder="Nhập mã PIN hiện tại" minlength="4"
                    maxlength="4">
            </div>
            <div>
                <label for="ssid">Tên điểm truy cập cá nhân</label><br />
                <input type="text" class="form-fill" name="ssid" placeholder="Nhập tên điểm truy cập cá nhân mới">
            </div>
            <div>
                <label for="password">Mật khẩu điểm truy cập cá nhân</label><br />
                <input type="text" class="form-fill" name="password" placeholder="Nhập mật khẩu điểm truy cập cá nhân mới">
            </div>
            <input type="hidden" class="form-fill" name="check">
            </br>
            <button type="submit">Thiết lập</button>
        </form>
        <br>
        <form method="GET" action="/vi">
            <button type="submit">Trang chủ</button>
        </form>
    </main>

</body>

</html>